#59 Error not a linux guru

closed
nobody
cmake (3)
5
2013-04-05
2013-04-03
Anonymous
No

I get an error by cmake.
root@KITT:~/gpsdrive-trunk/cmake# cmake ..
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Warning (dev) at CMakeLists.txt:30 (include):
Policy CMP0011 is not set: Included scripts do automatic cmake_policy PUSH
and POP. Run "cmake --help-policy CMP0011" for policy details. Use the
cmake_policy command to set the policy and suppress this warning.

The included script

/root/gpsdrive-trunk/cmake/Modules/DefineProjectDefaults.cmake

affects policy settings. CMake is implying the NO_POLICY_SCOPE option for
compatibility, so the effects are applied to the including context.
This warning is for project developers. Use -Wno-dev to suppress it.

-- Looking for include files HAVE_LIBINTL_H
-- Looking for include files HAVE_LIBINTL_H - found
-- Looking for dgettext
-- Looking for dgettext - found
-- Found Gettext: built in libc
-- Looking for include files HAVE_CRYPT_H
-- Looking for include files HAVE_CRYPT_H - found
-- Looking for include files HAVE_LINUX_INET_H
-- Looking for include files HAVE_LINUX_INET_H - not found.
-- Looking for include files HAVE_UNISTD_H
-- Looking for include files HAVE_UNISTD_H - found
-- Looking for include files HAVE_LOCALE_H
-- Looking for include files HAVE_LOCALE_H - found
CMake Warning at /usr/share/cmake-2.8/Modules/CPack.cmake:236 (MESSAGE):
CPack.cmake has already been included!!
Call Stack (most recent call first):
CMakeLists.txt:37 (include)

CMake Error at /usr/share/cmake-2.8/Modules/FindX11.cmake:411 (MESSAGE):
Could not find X11
Call Stack (most recent call first):
src/CMakeLists.txt:4 (find_package)

-- Configuring incomplete, errors occurred!
root@KITT:~/gpsdrive-trunk/cmake#

Discussion

  • Hamish B
    Hamish B
    2013-04-04

    which version of the code is this?

    what linux distro/version are you using? on what sort of computer?

    are the x11 dev packages installed? (exact names will depend on the answer to the previous question)

    for debian/ubuntu-like linux distros you will find the list of needed build packages in the debian/control file in the source code.

    Hamish

     

  • Anonymous
    2013-04-05

    • status: open --> closed
     

  • Anonymous
    2013-04-05

    I think X11 dev packages was not installed at this time.
    thanks